---
title: Get Ingestion Event Delta Ledger
description: Get Ingestion Event Delta Ledger
product: general
token_estimate: 1073
---
# Get Ingestion Event Delta Ledger

> For AI agents: a documentation index is available at [/llms.txt](/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## Get Ingestion Event Delta Ledger

**GET** `/console/v1/ingestion/events/delta`

Full URL: `https://statsigapi.net/console/v1/ingestion/events/delta`

Get Ingestion Event Delta Ledger

## Authorizations

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| STATSIG-API-KEY | string | Yes | — | apiKey (header) |

## Query parameters

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| source_name (query) | string | No | — | — |
| event_name (query) | string | No | — | — |
| start_date (query) | string | Yes | 2024-01-01 | Expected valid date in the form of YYYY-MM-DD |
| end_date (query) | string | Yes | 2024-01-01 | Expected valid date in the form of YYYY-MM-DD |

## Response (application/json)

**200** — Get Ingestion Event Delta Ledger Success

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| message | string | Yes | — | A simple string explaining the result of the operation. |
| data | oneOf | Yes | — | Constraints: object[], object[] |

```json
{
  "type": "databricks",
  "dataset": "Metrics",
  "source_name": "ingestion-1",
  "query": "SELECT * FROM TABLE",
  "column_mapping": {
    "unit_id": "string",
    "id_type": "string",
    "dateid": "string",
    "metric_name": "string",
    "metric_value": "string",
    "numerator": "string",
    "denominator": "string"
  },
  "use_delta_sharing": false,
  "share": "string",
  "schema": "string",
  "table": "string",
  "enabled": false
}
```

## Code samples

### cURL

```bash
curl -X GET "https://statsigapi.net/console/v1/ingestion/events/delta?start_date=2024-01-01&end_date=2024-01-01" \
  -H "Content-Type: application/json" \
  -H "STATSIG-API-KEY: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.get(
    "https://statsigapi.net/console/v1/ingestion/events/delta?start_date=2024-01-01&end_date=2024-01-01",
    headers={
        "Content-Type": "application/json",
        "STATSIG-API-KEY": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://statsigapi.net/console/v1/ingestion/events/delta?start_date=2024-01-01&end_date=2024-01-01", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "STATSIG-API-KEY": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://statsigapi.net/console/v1/ingestion/events/delta?start_date=2024-01-01&end_date=2024-01-01");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "STATSIG-API-KEY: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("GET", "https://statsigapi.net/console/v1/ingestion/events/delta?start_date=2024-01-01&end_date=2024-01-01", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("STATSIG-API-KEY", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://statsigapi.net/console/v1/ingestion/events/delta?start_date=2024-01-01&end_date=2024-01-01"))
      .method("GET", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("STATSIG-API-KEY", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://statsigapi.net/console/v1/ingestion/events/delta?start_date=2024-01-01&end_date=2024-01-01")
request = Net::HTTP::Get.new(uri)
request["Content-Type"] = "application/json"
request["STATSIG-API-KEY"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

